/*
This is not actually implemented yet :|
*/

const { getBrowser } = require('../util/puppeteerUtil');
const { authenticateWithEscapia,
    logoutOfEscapia } = require('../util/escapiaUtil');
const logger = require('@turnkeyvr/logger');

const handler = async () => {
    let browser = await getBrowser();
    if (!browser) {
        return;
    }

    // authenticate with escapia
    let page = await authenticateWithEscapia(await browser.newPage());
    if (!page) {
        await browser.close();
        return;
    }

    // logout of escapia then exit browser
    await logoutOfEscapia(page);

    await browser.close();
    logger.debug('done');
}

exports.handler = handler