exports.sleep = ms => new Promise(resolve => setTimeout(resolve, ms));

exports.resultsEnum = {
    SUCCESS: 1,
    REVIEW_REQUIRED: 2,
    FAILURE: 3,
    FATAL: 4
};

exports.convertArrayToAnArrayOfArrays = (records, modulo) => {
    let arrayOfArrays = []; // an array of arrays
    let array = [];
    for (let i = 0; i < records.length; i++) {
        let record = records[i];
        if (i === 0) {
            array.push(record);
            continue;
        }
        if (i % modulo === 0) {
            arrayOfArrays.push(array);
            array = [];
            array.push(record);
            continue;
        }
        array.push(record);
    }
    if (array.length > 0) {
        arrayOfArrays.push(array);
    }
    return arrayOfArrays;
};